component: EmuGatewayDiagnostics
proto_imports:
  - vehicle/emu_gateway/diagnostics/emu_gateway_diagnostic.proto
metric: proto::EmuGatewayMetric
namespace: zoox::emu_gateway_diagnostic
faults:
  - id: 0
    name: ZABOTAGE_INPUT_MISSING
    severity: ERROR
    description: "Input from ZABOTAGE node missing."
    triggers_nogo: true
  - id: 1
    name: ZABOTAGE_ENABLED
    severity: WARNING
    description: "ZABOTAGE enabled."
